Subject: Atlas 6" lathes 4sale

From: [email-masked] (Bill Brachold)
Date: 28 Sep 1994 12:50:28 GMT

There are 2 - 6" Atlas lathes for sale locally ( Gainesville Florida area ).
I think the guy wants $ 475 each for them.  If interested, email and I will
get details.  The guy selling them is NOT me in case you are wondering.